kio Library: KIO::DeleteJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::DeleteJob Class Reference

A more complex Job to delete files and directories. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::DeleteJob:

[legend]
Collaboration diagram for KIO::DeleteJob:

[legend]
List of all members.

## Signals
void | totalFiles (KIO::Job *job, unsigned long files)
void | totalDirs (KIO::Job *job, unsigned long dirs)
void | processedFiles (KIO::Job *job, unsigned long files)
void | processedDirs (KIO::Job *job, unsigned long dirs)
void | deleting (KIO::Job *job, const KURL &file)
## Public Member Functions
| DeleteJob (const KURL::List &src, bool shred, bool showProgressInfo)
KURL::List | urls () const
## Protected Slots
void | slotStart ()
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &list)
virtual void | slotResult (KIO::Job *job)
void | slotProcessedSize (KIO::Job *, KIO::filesize_t data_size)
void | slotReport ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A more complex Job to delete files and directories.

Don't create the job directly, but use KIO::del() instead.

See also:
  KIO::del()

Definition at line 1698 of file jobclasses.h.

## Constructor & Destructor Documentation

DeleteJob::DeleteJob | ( | const KURL::List & | src,
|  | bool | shred,
|  | bool | showProgressInfo
| ) |

  | Do not create a DeleteJob directly. Use KIO::del() instead. Parameters:
  | src | the list of URLs to delete
  | shred | true to shred (make sure that data is not recoverable)a
  | showProgressInfo | true to show progress information to the user
See also: KIO::del() Definition at line 3783 of file job.cpp. References QObject::connect(), QTimer::singleShot(), QTimer::start(), totalDirs(), and totalFiles().

## Member Function Documentation

KURL::List KIO::DeleteJob::urls | ( |  | ) | const`[inline]`

| Returns the list of URLs. Returns: the list of URLs. Definition at line 1717 of file jobclasses.h.

void KIO::DeleteJob::totalFiles | ( | KIO::Job * | job,
|  | unsigned long | files
| ) | `[signal]`

  | Emitted when the total number of files is known. Parameters:
  | job | the job that emitted this signal
  | files | the total number of files
Referenced by DeleteJob().

void KIO::DeleteJob::totalDirs | ( | KIO::Job * | job,
|  | unsigned long | dirs
| ) | `[signal]`

  | Emitted when the toal number of direcotries is known. Parameters:
  | job | the job that emitted this signal
  | dirs | the total number of directories
Referenced by DeleteJob().

void KIO::DeleteJob::processedFiles | ( | KIO::Job * | job,
|  | unsigned long | files
| ) | `[signal]`

  | Sends the number of processed files. Parameters:
  | job | the job that emitted this signal
  | files | the number of processed files

void KIO::DeleteJob::processedDirs | ( | KIO::Job * | job,
|  | unsigned long | dirs
| ) | `[signal]`

  | Sends the number of processed directories. Parameters:
  | job | the job that emitted this signal
  | dirs | the number of processed dirs

void KIO::DeleteJob::deleting | ( | KIO::Job * | job,
|  | const KURL & | file
| ) | `[signal]`

  | Sends the URL of the file that is currently being deleted. Parameters:
  | job | the job that emitted this signal
  | file | the URL of the file or directory that is being deleted

void DeleteJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

  | Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Parameters:
  | job | the subjob
See also: result() Reimplemented from KIO::Job. Definition at line 4077 of file job.cpp. References KIO::Job::addSubjob(), QValueList::append(), QValueList::begin(), QObject::connect(), KURL::directory(), QValueList::end(), KIO::Job::error(), QPtrList::isEmpty(), KURL::isLocalFile(), KIO::listRecursive(), KURL::path(), QPtrList::remove(), KIO::Scheduler::scheduleJob(), KIO::ListJob::setUnrestricted(), KIO::Job::slotResult(), KIO::UDS_FILE_TYPE, KIO::UDS_LINK_DEST, and KIO::UDS_SIZE.

void DeleteJob::slotProcessedSize | ( | KIO::Job * | ,
|  | KIO::filesize_t | data_size
| ) | `[protected, slot]`

| Forward signal from subjob. Definition at line 4048 of file job.cpp. References KIO::Job::percent(), KIO::Job::processedSize(), and KIO::Job::setProcessedSize().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003